> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Team Experiments



## OpenAPI

````yaml /openapi.json get /v1/teams/{team_id}/experiments
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/teams/{team_id}/experiments:
    get:
      tags:
        - Teams
      summary: List Team Experiments
      operationId: list_team_experiments_v1_teams__team_id__experiments_get
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            format: uuid
            title: Team Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ExperimentStatus'
              - type: 'null'
            title: Status
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExperimentListResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    ExperimentStatus:
      description: Lifecycle state for experiment operations.
      enum:
        - draft
        - active
        - paused
        - completed
        - archived
      title: ExperimentStatus
      type: string
    ExperimentListResponse:
      description: List of experiments.
      properties:
        experiments:
          items:
            $ref: '#/components/schemas/ExperimentResponse'
          title: Experiments
          type: array
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        total:
          title: Total
          type: integer
      required:
        - experiments
        - total
        - page
        - page_size
      title: ExperimentListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ExperimentResponse:
      description: Experiment response.
      properties:
        access_role:
          $ref: '#/components/schemas/ExperimentAccessRole'
          default: owner
        access_scope:
          $ref: '#/components/schemas/ExperimentAccessScope'
          default: personal
        allow_playback_speed:
          default: false
          title: Allow Playback Speed
          type: boolean
        allow_public_voting:
          default: false
          title: Allow Public Voting
          type: boolean
        anchor_field:
          anyOf:
            - type: string
            - type: 'null'
          title: Anchor Field
        axes:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Axes
        budget_cap_credits:
          anyOf:
            - type: integer
            - type: 'null'
          title: Budget Cap Credits
        budget_remaining_credits:
          anyOf:
            - type: integer
            - type: 'null'
          title: Budget Remaining Credits
        budget_spent_credits:
          default: 0
          title: Budget Spent Credits
          type: integer
        can_manage_experiment:
          default: false
          title: Can Manage Experiment
          type: boolean
        can_run_experiment:
          default: false
          title: Can Run Experiment
          type: boolean
        can_view_analysis:
          default: false
          title: Can View Analysis
          type: boolean
        can_view_api:
          default: false
          title: Can View Api
          type: boolean
        can_view_votes:
          default: false
          title: Can View Votes
          type: boolean
        comparison_policy:
          additionalProperties: true
          title: Comparison Policy
          type: object
        confidence_score:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Confidence Score
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        enforce_playback:
          default: false
          title: Enforce Playback
          type: boolean
        id:
          format: uuid
          title: Id
          type: string
        is_active:
          title: Is Active
          type: boolean
        is_discoverable:
          default: false
          title: Is Discoverable
          type: boolean
        is_public_readable:
          default: false
          title: Is Public Readable
          type: boolean
        kind:
          $ref: '#/components/schemas/ExperimentKind'
        min_playback_percent:
          default: 0
          title: Min Playback Percent
          type: integer
        min_viewing_seconds:
          default: 0
          title: Min Viewing Seconds
          type: integer
        name:
          title: Name
          type: string
        objective:
          $ref: '#/components/schemas/ExperimentObjective'
        parameter_schema:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Parameter Schema
        policy_version:
          default: v1
          title: Policy Version
          type: string
        purchased_comparisons:
          default: 0
          title: Purchased Comparisons
          type: integer
        readiness_errors:
          items:
            additionalProperties: true
            type: object
          title: Readiness Errors
          type: array
        readiness_state:
          $ref: '#/components/schemas/ReadinessState'
          default: ready
        remaining_comparisons:
          default: 0
          title: Remaining Comparisons
          type: integer
        require_feedback:
          default: false
          title: Require Feedback
          type: boolean
        requires_anchor:
          default: true
          title: Requires Anchor
          type: boolean
        rlhf_policy:
          anyOf:
            - $ref: '#/components/schemas/RlhfPolicy'
            - type: 'null'
        sample_count:
          anyOf:
            - type: integer
            - type: 'null'
          default: 0
          title: Sample Count
        score_count:
          default: 0
          title: Score Count
          type: integer
        servable_pair_count:
          anyOf:
            - type: integer
            - type: 'null'
          default: 0
          title: Servable Pair Count
        status:
          $ref: '#/components/schemas/ExperimentStatus'
          default: paused
        team_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Team Id
        team_member_count:
          default: 0
          title: Team Member Count
          type: integer
        team_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Name
        total_votes:
          anyOf:
            - type: integer
            - type: 'null'
          default: 0
          title: Total Votes
        type:
          $ref: '#/components/schemas/ExperimentType'
        updated_at:
          format: date-time
          title: Updated At
          type: string
        used_comparisons:
          default: 0
          title: Used Comparisons
          type: integer
        user_id:
          format: uuid
          title: User Id
          type: string
        vote_cost_credits:
          default: 1
          title: Vote Cost Credits
          type: integer
      required:
        - id
        - user_id
        - team_id
        - name
        - description
        - kind
        - objective
        - type
        - anchor_field
        - parameter_schema
        - comparison_policy
        - is_active
        - created_at
        - updated_at
      title: ExperimentResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ExperimentAccessRole:
      enum:
        - owner
        - manager
        - collaborator
        - voter
      title: ExperimentAccessRole
      type: string
    ExperimentAccessScope:
      enum:
        - personal
        - team
      title: ExperimentAccessScope
      type: string
    ExperimentKind:
      description: Kinds of experiments (extensible).
      enum:
        - simple
        - advanced
      title: ExperimentKind
      type: string
    ExperimentObjective:
      description: User-facing objective for experiment behavior.
      enum:
        - benchmark
        - optimization
        - rlhf_loop
      title: ExperimentObjective
      type: string
    ReadinessState:
      description: Readiness state for serving pairs.
      enum:
        - draft
        - ready
        - invalid
        - blocked
      title: ReadinessState
      type: string
    RlhfPolicy:
      additionalProperties: false
      properties:
        baseline_prior:
          $ref: '#/components/schemas/RlhfBaselinePriorPolicy'
        budget_cap_credits:
          anyOf:
            - minimum: 0
              type: integer
            - type: 'null'
          title: Budget Cap Credits
        collection_mode:
          default: pairwise
          enum:
            - pairwise
            - numeric
            - multi_axis
          title: Collection Mode
          type: string
        hidden_exam:
          $ref: '#/components/schemas/RlhfHiddenExamPolicy'
        participant_notes:
          anyOf:
            - maxLength: 4000
              type: string
            - type: 'null'
          title: Participant Notes
        queue:
          $ref: '#/components/schemas/RlhfQueuePolicy'
        round:
          $ref: '#/components/schemas/RlhfRoundPolicy'
        version:
          const: 1
          default: 1
          title: Version
          type: integer
      title: RlhfPolicy
      type: object
    ExperimentType:
      description: Types of experiments.
      enum:
        - image
        - audio
        - text
        - video
      title: ExperimentType
      type: string
    RlhfBaselinePriorPolicy:
      additionalProperties: false
      properties:
        enabled:
          default: false
          title: Enabled
          type: boolean
        strength:
          anyOf:
            - maximum: 1000
              minimum: 1
              type: integer
            - type: 'null'
          title: Strength
      title: RlhfBaselinePriorPolicy
      type: object
    RlhfHiddenExamPolicy:
      additionalProperties: false
      properties:
        enabled:
          default: false
          title: Enabled
          type: boolean
        frequency:
          default: 0
          maximum: 1
          minimum: 0
          title: Frequency
          type: number
      title: RlhfHiddenExamPolicy
      type: object
    RlhfQueuePolicy:
      additionalProperties: false
      properties:
        max_concurrent_assignments:
          default: 1
          maximum: 1000
          minimum: 1
          title: Max Concurrent Assignments
          type: integer
        strategy:
          default: balanced
          enum:
            - balanced
            - uncertainty
            - manual
          title: Strategy
          type: string
      title: RlhfQueuePolicy
      type: object
    RlhfRoundPolicy:
      additionalProperties: false
      properties:
        max_rounds:
          anyOf:
            - maximum: 10000
              minimum: 1
              type: integer
            - type: 'null'
          title: Max Rounds
        min_decisive_pairs_per_axis:
          default: 50
          maximum: 1000000
          minimum: 1
          title: Min Decisive Pairs Per Axis
          type: integer
      title: RlhfRoundPolicy
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````